Skip to main content
POST
/
v2
/
organizations
/
{orgId}
/
bookings
/
block
Block an organization booking attendee
curl --request POST \
  --url https://api.cal.com/v2/organizations/{orgId}/bookings/block \
  --header 'Content-Type: application/json' \
  --data '
{
  "bookingUid": "booking-uid-123",
  "blockType": "EMAIL"
}
'
{
  "status": "success",
  "data": {
    "success": true,
    "message": "Added to blocklist and 3 bookings cancelled",
    "bookingUid": "booking-uid-123",
    "cancelledCount": 3,
    "blockedValue": "spammer@example.com"
  }
}

Headers

Authorization
string

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

orgId
number
required

Body

application/json
bookingUid
string
required

The UID of the booking whose attendee should be blocked

Example:

"booking-uid-123"

blockType
enum<string>
required

Whether to block by email or domain. EMAIL blocks the specific booker email. DOMAIN blocks all emails from the same domain.

Available options:
EMAIL,
DOMAIN
Example:

"EMAIL"

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required